Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.j3d
Class WakeupOnAWTEvent

    java.lang.Object
      javax.media.j3d.WakeupCondition
          javax.media.j3d.WakeupCriterion
              javax.media.j3d.WakeupOnAWTEvent

    public final class WakeupOnAWTEvent

extends WakeupCriterion

Class that specifies a Behavior wakeup when a specific AWT event occurs.

Constructor Summary
`WakeupOnAWTEvent(int AWTId)` Constructs a new WakeupOnAWTEvent object that informs the Java 3D scheduler to wake up the specified Behavior object whenever the specified AWT event occurs.
`WakeupOnAWTEvent(long eventMask)` Constructs a new WakeupOnAWTEvent using Ored EVENT_MASK values.

Method Summary
`java.awt.AWTEvent[]` | `getAWTEvent()` Retrieves the array of consecutive AWT event that triggered this wakeup.

Methods inherited from class javax.media.j3d.WakeupCriterion
`hasTriggered`

Methods inherited from class javax.media.j3d.WakeupCondition
`allElements, triggeredElements`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WakeupOnAWTEvent

    public WakeupOnAWTEvent(int AWTId)

  Constructs a new WakeupOnAWTEvent object that informs the Java 3D scheduler to wake up the specified Behavior object whenever the specified AWT event occurs.

  Parameters:
    `AWTId` - the AWT ids that this behavior wishes to intercept

### WakeupOnAWTEvent

    public WakeupOnAWTEvent(long eventMask)

  Constructs a new WakeupOnAWTEvent using Ored EVENT_MASK values.

  Parameters:
    `eventMask` - the AWT EVENT_MASK values Ored together

Method Detail

### getAWTEvent

    public java.awt.AWTEvent[] getAWTEvent()

  Retrieves the array of consecutive AWT event that triggered this wakeup. A value of null implies that this event was not the trigger for the behavior wakeup.

  Returns:
    either null (if not resposible for wakeup) or the array of AWTEvents responsible for the wakeup.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD